/*
 * blk_node.h
 * Copyright (C) 2021 Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * See the LICENSE file. * 
 */


#ifndef __BUTTONBOX_H__
#define __BUTTONBOX_H__

#include <gtkmm.h>

namespace Hopman {

class myButtonBox : public Gtk::Alignment
{
public:
    myButtonBox(bool horizontal, int spacing, Gtk::ButtonBoxStyle layout);
    virtual ~myButtonBox();
	
    // Child widgets:
    Gtk::ButtonBox *bbox;
};

} // namespace Hopman

#endif //__BUTTONBOX_H__
