#include <sys/time.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <stdlib.h>
#include "hopman.h"
#include "watch.h"

void start_periodic(time_t interval)
/*-------------------------- Start periodic alarm -------------------------*/
{
  struct itimerval it_new = { {0, 0}, {0 ,0} };
  it_new.it_interval.tv_sec = interval;
  it_new.it_value.tv_sec = interval;
  
  if( setitimer(ITIMER_REAL, &it_new, NULL) )
    {
      fprintf( stderr, "%s annot start interval timer: %s\n",
	       progname, strerror(errno) );
      exit(EXIT_FAILURE);
    }
}

void stop_periodic(void)
{
  struct itimerval it_new = { {0, 0}, {0 ,0} };
  if( setitimer(ITIMER_REAL, &it_new, NULL) )
    {
      fprintf( stderr, "%s annot start interval timer: %s\n",
	       progname, strerror(errno) );
      exit(EXIT_FAILURE);
    }
}
