/*
 * fpipe.h
 * Copyright (C) 2021 Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * See the LICENSE file. * 
 */


#ifndef __FPIPE_H__
#define __FPIPE_H__

#include <string>
#include <vector>

namespace Hopman
{
	
using namespace std;

class fPipe
{
public:
    fPipe();
    virtual ~fPipe();
	
    vector<string> get_output(string);
};

} // namespace Hopman

#endif // __FPIPE_H__
